Cohort segments

Get Cohort Segment by Id

Get a cohort segment by id.

GET
/nudge/projects/{projectId}/cohort-segments/{cohortSegmentId}

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

cohortSegmentId*string
projectId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/projects/string/cohort-segments/string"
{
  "status": "success",
  "message": "string",
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "cohortQuery": {
      "combinator": "AND",
      "rules": [
        {
          "id": "string",
          "field": "string",
          "attributeId": "string",
          "operator": ">",
          "value": "string",
          "valueSource": "field"
        }
      ],
      "not": true
    },
    "queryToSql": "string",
    "poolId": "string",
    "organizationId": "string",
    "projectId": "string",
    "createdById": "string",
    "createdDate": "2019-08-24T14:15:22Z",
    "modifiedById": "string",
    "modifiedDate": "2019-08-24T14:15:22Z",
    "isActive": true,
    "isDeleted": true,
    "customerPool": {
      "id": "string",
      "name": "string"
    }
  },
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}